=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadicontact-dev (>= 4:23.08.1~),
-               libkf5akonadimime-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadicontact-dev (>= 4:23.08.4~),
+               libkf5akonadimime-dev (>= 4:23.08.4~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 23.08.1~),
+               libkf5grantleetheme-dev (>= 23.08.4~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:23.08.1~),
-               libkf5mime-dev (>= 23.08.1~),
-               libkf5pimcommon-dev (>= 4:23.08.1~),
+               libkf5libkdepim-dev (>= 4:23.08.4~),
+               libkf5mime-dev (>= 23.08.4~),
+               libkf5pimcommon-dev (>= 4:23.08.4~),
                libkf5textaddons-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -42,9 +42,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.1~),
-         libkf5akonadimime-dev (>= 4:23.08.1~),
-         libkf5mime-dev (>= 23.08.1~),
+Depends: libkf5akonadi-dev (>= 4:23.08.4~),
+         libkf5akonadimime-dev (>= 4:23.08.4~),
+         libkf5mime-dev (>= 23.08.4~),
          libkpim5mailimporter5 (= ${binary:Version}),
          libkpim5mailimporterakonadi5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
